﻿using System;

namespace SharpRss.Models
{
	public class SyndicationItemModel
	{
		public SyndicationModel SyndicationParent { get; set; } = new SyndicationModel();
		// Db props
		public string? Link { get; set; } = string.Empty;
		public string EncodedSyndicationUrl { get; set; } = string.Empty;
		public bool Read { get; set; }
		public string? Type { get; set; } = string.Empty;
		public string? Title { get; set; } = string.Empty;
		public string? Description { get; set; } = string.Empty;
		public DateTimeOffset LastUpdated { get; set; } = DateTimeOffset.Now;
		public DateTimeOffset? ItemUpdatedDate { get; set; }
		public DateTimeOffset? PublishingDate { get; set; }
		public string[]? Authors { get; set; }
		public string[]? Categories { get; set; }
		public string? Content { get; set; } = string.Empty;
		public string? CommentsUrl { get; set; } = string.Empty;
	}
}
